<script setup lang="ts">
import { useMemberStore } from '@/stores/member'
import { useReceiptStore } from '@/stores/receipt'
import { ref } from 'vue'

const tel = ref('')
const memberStore = useMemberStore()
const receiptStore = useReceiptStore()
function onClick() {
  memberStore.searchMember(tel.value)
  receiptStore.calReceipt()
}
</script>

<template>
  <v-container class="font">
    <v-row no-gutters>
      <v-col cols="6">
        <v-text-field
          density="compact"
          variant="solo"
          label="Search Member"
          append-inner-icon="mdi-magnify"
          single-line
          hide-details
          @click:append-inner="onClick"
          v-model="tel"
          @keyup.enter="onClick"
        ></v-text-field>
      </v-col>
      <v-col cols="6" class="pa-2">
        {{ memberStore.currentMember ? memberStore.currentMember?.name : 'Not Found' }}
      </v-col>
    </v-row>
  </v-container>
</template>

<style scoped>
.font {
  font-family: 'Kanit';
}
</style>
